{
    num: 537,
    accuracy: 100,
    basePower: 80,
    category: "Physical",
    isNonstandard: "Past",
    name: "Steamroller",
    pp: 20,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    secondary: {
        chance: 30,
        volatileStatus: "flinch"
    },
    target: "normal",
    type: "Bug",
    contestType: "Tough",
    onHit(target, source, move) {
        this.field.clearTerrain();

        if (this.field.pseudoWeather['trickroom']) {
            this.field.removePseudoWeather('trickroom');
        }
        if (this.field.pseudoWeather['wonderroom']) {
            this.field.removePseudoWeather('wonderroom');
        }
        if (this.field.pseudoWeather['magicroom']) {
            this.field.removePseudoWeather('magicroom');
        }
    },
}
